# pandas.Panel.asfreq

`Panel.``asfreq`(freq, method=None, how=None, normalize=False)

  Convert all TimeSeries inside to specified frequency using DateOffset objects. Optionally provide fill method to pad/backfill missing values.

  Parameters:

  freq : DateOffset object, or string

  method : {‘backfill’, ‘bfill’, ‘pad’, ‘ffill’, None}

  > Method to use for filling holes in reindexed Series pad / ffill: propagate last valid observation forward to next valid backfill / bfill: use NEXT valid observation to fill method

  how : {‘start’, ‘end’}, default end

  > For PeriodIndex only, see PeriodIndex.asfreq

  normalize : bool, default False

  > Whether to reset output index to midnight

  Returns: | converted : type of caller